package market.Lms.FixedAssets.vo;

import java.io.Serializable;

import market.Lms.FixedAssets.mapper.LmsFixedAssetsAnnexMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="lms_fixed_assets_annex", namespace=LmsFixedAssetsAnnexMapper.class)
public class LmsFixedAssetsAnnex extends BaseVO implements Serializable {

	/**
	 * 资产管理附件表
	 */
	private static final long serialVersionUID = -5480370361429187412L;
	
	// 附件编号
	@Id
	private String annex_no;
	
	// 新闻编号
	@Column
	private String news_no;


	// 附件名称
	@Column
	private String annex_name;
	
	// 附件别名
	@Column
	private String annex_other_name;
	
	// 附件保存地址
	@Column
	private String save_path;
	
	// 是否为图片(1：图片；2：非图片)
	@Column
	private String is_image;
	
	// 附件类型(.xml;.word;.excel)
	@Column
	private String annex_type;

	public String getAnnex_no() {
		return annex_no;
	}

	public void setAnnex_no(String annex_no) {
		this.annex_no = annex_no;
	}

	public String getNews_no() {
		return news_no;
	}

	public void setNews_no(String news_no) {
		this.news_no = news_no;
	}

	public String getAnnex_name() {
		return annex_name;
	}

	public void setAnnex_name(String annex_name) {
		this.annex_name = annex_name;
	}

	public String getAnnex_other_name() {
		return annex_other_name;
	}

	public void setAnnex_other_name(String annex_other_name) {
		this.annex_other_name = annex_other_name;
	}

	public String getSave_path() {
		return save_path;
	}

	public void setSave_path(String save_path) {
		this.save_path = save_path;
	}

	public String getIs_image() {
		return is_image;
	}

	public void setIs_image(String is_image) {
		this.is_image = is_image;
	}

	public String getAnnex_type() {
		return annex_type;
	}

	public void setAnnex_type(String annex_type) {
		this.annex_type = annex_type;
	}
	
	
}
